package com.rshy.project.hy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rshy.project.hy.model.entity.Identity;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author fanqun
 * @since 2022-06-11
 */
public interface IdentityMapper extends BaseMapper<Identity> {

    String getIdNum(String barCode);

    Map<String, String> getPhoto(String idNum);

    void addPhoto(String idNum, String photo);

    void updatePhoto(String idNum, String photo);

}
