package com.rshy.project.hy.model.constant;

/**
 * @author: lileilei
 * @date: 2022/4/24 00:29
 * @description: 公安服务常量信息
 */

public class ItfwConstant {
    /**
     * 今日进站次数
     */
    public static final String TIMES_KEY = "itfw:times";

    /**
     * 健康码信息缓存标识
     */
    public static final String BARCODE_KEY = "itfw:barcode";

    /**
     * 重点人员缓存标识
     */
    public static final String PCTZDRY_KEY = "itfw:pctzdry";

    /**
     * 重点人员接口访问状态标识
     */
    public static final String PCTZDRY_STATUS_KEY = "itfw:pctzdry:status";

    /**
     * 人员劣迹缓存标识
     */
    public static final String PCTZT_KEY = "itfw:pctzt";

    public static final String PCTZT_STATUS_KEY = "itfw:pctzt:status";

    /**
     * 新的执法办案缓存标识
     */
    public static final String PCTZFBA_KEY = "itfw:pctzfba";

    public static final String PCTZFBA_STATUS_KEY = "itfw:pctzfba:status";

    /**
     * 打防控信息缓存标识
     */
    public static final String PCTDFK_KEY = "itfw:pctdfk";

    public static final String PCTDFK_STATUS_KEY = "itfw:pctdfk:status";

    /**
     * 监所人员缓存标识
     */
    public static final String PCTJSRY_KEY = "itfw:pctjsry";

    public static final String PCTJSRY_STATUS_KEY = "itfw:pctjsry:status";

    /**
     * 吸毒人员缓存标识
     */
    public static final String PCTXDRY_KEY = "itfw:pctxdry";

    public static final String PCTXDRY_STATUS_KEY = "itfw:pctxdry:status";

    /**
     * 前科人员缓存标识
     */
    public static final String PCTQKRY_KEY = "itfw:pctqkry";
    public static final String PCTQKRY_STATUS_KEY = "itfw:pctqkry:status";

    /**
     * 人车核录
     */
    public static final String PCTRCHL_KEY = "itfw:pctrchl";

    public static final String PCTRCHL_STATUS_KEY = "itfw:pctrchl:status";

    /**
     * 浙江省疫苗注射数据
     */
    public static final String PCTYM_KEY = "itfw:pctym";

    public static final String PCTYM_STATUS_KEY = "itfw:pctym:status";

    /**
     * 证件照片接口
     */
    public static final String PCTZJZP_KEY = "itfw:pctzjzp";
    public static final String PCTZJZP_STATUS_KEY = "itfw:pctzjzp:status";

    /**
     * 杭州市重点人员底库接口
     */
    public static final String PCTZDRYDK_KEY = "itfw:pctzdrydk";
    public static final String PCTZDRYDK_STATUS_KEY = "itfw:pctzdrydk:status";

    /**
     * 查询行程码记录接口
     */
    public static final String PCTXCM_KEY = "itfw:pctxcm";
    public static final String PCTXCM_STATUS_KEY = "itfw:pctxcm:status";

    /**
     * 警察叔叔身份证接口
     */
    public static final String PCTSFZ_KEY = "itfw:pctsfz";
    public static final String PCTSFZ_STATUS_KEY = "itfw:pctsfz:status";
}
