package com.rshy.project.hy.server.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @author: lileilei
 * @date: 2022/5/2 10:23
 * @description:
 */
@Data
@Accessors(chain = true)
public class PersonIdentifyDTO {
    /**
     * 姓名
     */
    @JSONField(name = "Name")
    private String Name;

    /**
     * 身份证
     */
    @JSONField(name = "IdNumber")
    private String IdNumber;

    /**
     * 照片
     */
    @JSONField(name = "PhotoData")
    private String PhotoData;

    /**
     * 比对分值
     */
    @JSONField(name = "SimilarityDegree")
    private BigDecimal SimilarityDegree;
}
