package com.rshy.project.hy.server.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 登录信息入参
 * <p>
 * Created by fanqun on 2022/6/13.
 */
@Data
@Accessors(chain = true)
public class LoginInfo {
    /**
     * 登录ID，警号
     */
    @ApiModelProperty("登录ID,即警员警号")
    private String id;
    /**
     * 登录姓名，警员姓名
     */
    @ApiModelProperty("警员姓名")
    private String name;
    /**
     * 警员身份证号
     */
    @ApiModelProperty("警员身份证")
    private String idNum;
    /**
     * 警员手机号码
     */
    @ApiModelProperty("警员手机号")
    private String phone;
    /**
     * 证码通设备IP
     */
    @ApiModelProperty("证码通设备IP")
    private String ip;
    /**
     * 管辖派出所内部组织代码
     */
    @ApiModelProperty("管辖派出所组织代码")
    private String orgCode;
    /**
     * 证码通设备放置位置
     */
    @ApiModelProperty("证码通设备放置位置")
    private String location;
}
