package com.rshy.project.hy.server.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @author: lileilei
 * @date: 2022/4/20 10:49
 * @description:
 */
@Data
public class RepositoryVO {
    @ApiModelProperty("库id")
    private String id;

    @ApiModelProperty("库名称")
    private String name;

    @ApiModelProperty("库中人脸数目")
    private Integer face_image_num;

    @ApiModelProperty("创建者id")
    private Integer creator_id;

    @ApiModelProperty("创建时间")
    private Integer create_time;

    private Map<String, Integer> permission_map;
}
