package com.rshy.project.hy.baseRe;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author dxy
 * @description: 执行环境枚举值
 * @date 2021/4/5 16:48
 */
@Getter
@AllArgsConstructor
public enum EnvEnum {

    // 开发环境
    DEVELOP("dev", "开发环境"),
    // 测试环境
    TEST("test", "测试环境"),
    // 生产环境
    PRODUCT("prod", "正式环境");

    private String code;
    private String errMsg;

}
