package com.rshy.project.hy.model.constant;

/**
 * @author: lileilei
 * @date: 2022/4/24 00:55
 * @description:
 */
public class WebConstant {
    /**
     * 超时时间，默认单位秒
     */
    public static final Integer TIMEOUT = 2;

    /**
     * 公安接口访问状态时间控制，默认单位分钟
     */
    public static final Integer STATUS_TIMEOUT = 5;

    /**
     * 公安接口访问异常次数，达到这个次数后一定时间内不去调用
     */
    public static final Integer TIMEOUT_TIMES = 3;

    /**
     * 接口响应内容过长时，最长显示的字符长度
     */
    public static final Integer DISPLAY_MAX_LENGTH = 400;
}
