package com.rshy.project.hy.server.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 杭州市重点人员底库接口查询结果
 * <p>
 * Created by fanqun on 2022/5/19.
 */
@Data
@Accessors(chain = true)
public class PctzdrydkResultDTO {
    private Integer errCode;
    private String errMsg;
    private Integer total;
    private Boolean success;
    private Boolean wrapped;
    private List<Result> data;

    @Data
    public static class Result implements Serializable {
        private String gxdwdm;
        private String zrjz;
        private String xm;
        private String[] ryflList;
        private String gxdwmc;
        private String ryfl;
        private String zjhm;
    }
}
